@layer base {
  @mixin headerFontStyle {
    font-family: Nunito;
    font-weight: normal;
    @apply text-light-100;
  }

  @mixin bodyFontStyle {
    font-family: Alegreya Sans;
    font-weight: normal;
    @apply text-light-100;
  }

  h1, h2, h3, h4, h5, h6 {
    @include headerFontStyle;
  }

  h1 {
    @apply text-6xl;
  }

  h2 {
    @apply text-5xl;
  }

  h3 {
    @apply text-4xl;
  }

  h4 {
    @apply text-3xl;
  }

  h5 {
    @apply text-2xl;
  }

  h6 {
    @apply text-xl;
  }

  span, p, li, a, label, button, div {
    @include bodyFontStyle;
    @apply text-base;
  }

  strong {
    @include bodyFontStyle;
    @apply font-bold text-lg;
  }
}